




      SUBROUTINE SCN110A (BOOLS,NUM,AACID,IERR)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR, IAATYP, NUM
      LOGICAL       BOOLS(NUM)
      CHARACTER*(*) AACID







      CALL GVSSTX (AACID,'0')
      IERR=1



      DO 10 IAATYP=1,MIN(NUM,WIFPAR(276))
         IF (BOOLS(IAATYP)) THEN
            CALL GVSSTX (AACID,AANAME(IAATYP))
            IERR=0
            GOTO 998
         END IF
   10 CONTINUE



      CALL GVSTT6 ('?M1143')



  998 CONTINUE


      RETURN
      END

      SUBROUTINE SCN203B (TEXT,FORM,IERR)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'DATBAS.INC'
      INTEGER       GVFLEN, ISEQ, IAA, IERR, IUNIT
      CHARACTER*(*) TEXT
      CHARACTER*(*) FORM







      IF (GVFLEN(TEXT).LT.1) THEN
         CALL GVSTTB ('?SCNB41')
         IERR=1
         GOTO 998
      END IF



      IERR=0
      IF (FORM(1:4).EQ.'INTE') THEN
         CALL GVSIT0 (GENVI4,MAXADB*MAXSEQ)
      ELSE IF (FORM(1:4).EQ.'REAL') THEN
         CALL GVSRT0 (GENVR4,MAXADB*MAXSEQ)
      END IF



      CALL GVSROF (IUNIT,IERR)
      IF (IUNIT.LE.0.OR.IERR.NE.0) THEN
         IERR=1
         GOTO 998
      END IF
      CALL GETFILE (IUNIT,' ',TEXT,IERR)
      IF (IERR.NE.0) THEN
         CALL GVST6C ('?M4637',TEXT,.FALSE.)
         GOTO 998
      END IF



      IF (NBINDB.LT.1) THEN
         CALL GVSTTE ('?NODBOP')
         CALL GVSCLF (IUNIT)
         IERR=1
         GOTO 998
      END IF
      DO 10 ISEQ=1,NBINDB
         IF (FORM(1:4).EQ.'REAL') THEN
            CALL GVSFMT ('?FMT943')
            READ (IUNIT,FMT,ERR=999,END=999) (GENVR4(IAA,ISEQ),IAA=1,
     +       NAAFIL(ISEQ))
         ELSE IF (FORM(1:4).EQ.'INTE') THEN
            CALL GVSFMT ('?FMT944')
            READ (IUNIT,FMT,ERR=999,END=999) (GENVI4(IAA,ISEQ),IAA=1,
     +       NAAFIL(ISEQ))
         ELSE
            CALL GVSTTB ('?SCNB43')
         END IF
   10 CONTINUE



      CALL GVSCLF (IUNIT)
      GOTO 998



  999 CONTINUE
      IERR=1
      CALL GVSTTB ('?SCNB42')
      CALL GVST6C ('?WALSTI',TEXT,.TRUE.)
      CALL GVSCOD (' ')
      CALL GVSCLF (IUNIT)



  998 CONTINUE


      RETURN
      END

      SUBROUTINE WIF019 (LENGRP)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       LENGRP







      IF (LENGRP.EQ.WIFPAR(51)) GOTO 998



      IF (LENGRP.LE.0.OR.LENGRP.GT.MAXIG) THEN
         CALL GVSTT6 ('?NEWT625')
         GOTO 998
      END IF



      CALL GVSFMT ('?FMT195')
      CALL GVSCTB (LINE,80)
      WRITE (LINE,FMT,ERR=999) WIFPAR(51),LENGRP
      CALL SETHIS (LINE)



      WIFPAR(51)=LENGRP




      GOTO 998



  999 CONTINUE
      CALL GVSEIW ('WIF019')



  998 CONTINUE


      RETURN
      END
